Items - Create KQL Database
Crea un database KQL nell'area di lavoro specificata.
Questa API supporta operazioni con esecuzione prolungata (LRO).
Autorizzazioni
Il chiamante deve avere un ruolo di area di lavoro collaboratore .
Ambiti delegati obbligatori
KQLDatabase.ReadWrite.All o Item.ReadWrite.All
Limitazioni
- Per creare un database KQL, l'area di lavoro deve trovarsi in una capacità di Infrastruttura supportata. Per altre informazioni, vedere: tipi di licenza di Microsoft Fabric.
Identità supportate da Microsoft Entra
Questa API supporta le identità di Microsoft elencate in questa sezione.
| Identità | Appoggiare |
|---|---|
| Utente | Sì |
| 'entità servizio e identità gestite | Sì |
Interfaccia
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/kqlDatabases
Parametri dell'URI
| Nome | In | Necessario | Tipo | Descrizione |
|---|---|---|---|---|
|
workspace
|
path | True |
string (uuid) |
ID dell'area di lavoro. |
Corpo della richiesta
| Nome | Necessario | Tipo | Descrizione |
|---|---|---|---|
| displayName | True |
string |
Nome visualizzato del database KQL. Il nome del database può contenere caratteri alfanumerici, caratteri di sottolineatura, punti e trattini. I caratteri speciali non sono supportati. |
| creationPayload | KQLDatabaseCreationPayload: |
Payload di creazione del database KQL. Usare |
|
| definition |
Definizione pubblica del database KQL. Usare |
||
| description |
string |
Descrizione del database KQL. La lunghezza massima è di 256 caratteri. |
|
| folderId |
string (uuid) |
ID cartella. Se non specificato o null, il database KQL viene creato con l'area di lavoro come cartella. |
Risposte
| Nome | Tipo | Descrizione |
|---|---|---|
| 201 Created |
Creazione completata |
|
| 202 Accepted |
Richiesta accettata, provisioning del database KQL in corso Intestazioni
|
|
| 429 Too Many Requests |
È stato superato il limite di velocità del servizio. Il server restituisce un'intestazione Intestazioni Retry-After: integer |
|
| Other Status Codes |
Codici di errore comuni:
|
Esempio
Create a ReadWrite KQL database example
Esempio di richiesta
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/kqlDatabases
{
"displayName": "KQLDatabase_1",
"description": "A KQL database description.",
"creationPayload": {
"databaseType": "ReadWrite",
"parentEventhouseItemId": "5b218778-e7a5-4d73-8187-f10824047836"
}
}
Risposta di esempio
Location: https://api.fabric.microsoft.com/v1/operations/0acd697c-1550-43cd-b998-91bfbfbd47c6
x-ms-operation-id: 0acd697c-1550-43cd-b998-91bfbfbd47c6
Retry-After: 30
Create a ReadWrite KQL database with definition example
Esempio di richiesta
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/kqlDatabases
{
"displayName": "KQLDatabase_1",
"description": "A KQL database description.",
"definition": {
"parts": [
{
"path": "DatabaseProperties.json",
"payload": "ewogICJkYXRhYmFzZVR5cGUiOiAiUmVhZFdyaXRlIiwKICAicGFyZW50RXZlbnRob3VzZUl0ZW1JZCI6ICI1YjIxODc3OC1lN2E1LTRkNzMtODE4Ny1mMTA4MjQwNDc4MzYiLAogICJvbmVMYWtlQ2FjaGluZ1BlcmlvZCI6ICJQMzY1MDBEIiwKICAib25lTGFrZVN0YW5kYXJkU3RvcmFnZVBlcmlvZCI6ICJQMzY1MDBEIgp9",
"payloadType": "InlineBase64"
},
{
"path": "DatabaseSchema.kql",
"payload": "Ly8gS1FMIHNjcmlwdAovLyBVc2UgbWFuYWdlbWVudCBjb21tYW5kcyBpbiB0aGlzIHNjcmlwdCB0byBjb25maWd1cmUgeW91ciBkYXRhYmFzZSBpdGVtcywgc3VjaCBhcyB0YWJsZXMsIGZ1bmN0aW9ucywgbWF0ZXJpYWxpemVkIHZpZXdzLCBhbmQgbW9yZS4KCi5jcmVhdGUtbWVyZ2UgdGFibGUgTXlMb2dzIChMZXZlbDpzdHJpbmcsIFRpbWVzdGFtcDpkYXRldGltZSwgVXNlcklkOnN0cmluZywgVHJhY2VJZDpzdHJpbmcsIE1lc3NhZ2U6c3RyaW5nLCBQcm9jZXNzSWQ6aW50KQ==",
"payloadType": "InlineBase64"
},
{
"path": ".platform",
"payload": "ZG90UGxhdGZvcm1CYXNlNjRTdHJpbmc=",
"payloadType": "InlineBase64"
}
]
}
}
Risposta di esempio
{
"displayName": "KQLDatabase_1",
"description": "A KQL database description.",
"type": "KQLDatabase",
"workspaceId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229",
"id": "5b218778-e7a5-4d73-8187-f10824047651"
}
Location: https://api.fabric.microsoft.com/v1/operations/0acd697c-1550-43cd-b998-91bfbfbd47c6
x-ms-operation-id: 0acd697c-1550-43cd-b998-91bfbfbd47c6
Retry-After: 30
Create a Shortcut KQL database to source Azure Data Explorer cluster example
Esempio di richiesta
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/kqlDatabases
{
"displayName": "KQLDatabase_1",
"description": "A KQL database description.",
"creationPayload": {
"databaseType": "Shortcut",
"parentEventhouseItemId": "5b218778-e7a5-4d73-8187-f10824047836",
"sourceClusterUri": "https://adxcluster.westus.kusto.windows.net",
"sourceDatabaseName": "MyDatabase"
}
}
Risposta di esempio
{
"displayName": "KQLDatabase_1",
"description": "A KQL database description.",
"type": "KQLDatabase",
"workspaceId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229",
"id": "5b218778-e7a5-4d73-8187-f10824047653"
}
Location: https://api.fabric.microsoft.com/v1/operations/0acd697c-1550-43cd-b998-91bfbfbd47c6
x-ms-operation-id: 0acd697c-1550-43cd-b998-91bfbfbd47c6
Retry-After: 30
Create a Shortcut KQL database to source Azure Data Explorer cluster with invitation token example
Esempio di richiesta
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/kqlDatabases
{
"displayName": "KQLDatabase_1",
"description": "A KQL database description.",
"creationPayload": {
"databaseType": "Shortcut",
"parentEventhouseItemId": "5b218778-e7a5-4d73-8187-f10824047836",
"invitationToken": "eyJ0eXAiOiJKVInvitationToken"
}
}
Risposta di esempio
{
"displayName": "KQLDatabase_1",
"description": "A KQL database description.",
"type": "KQLDatabase",
"workspaceId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229",
"id": "5b218778-e7a5-4d73-8187-f10824047654"
}
Location: https://api.fabric.microsoft.com/v1/operations/0acd697c-1550-43cd-b998-91bfbfbd47c6
x-ms-operation-id: 0acd697c-1550-43cd-b998-91bfbfbd47c6
Retry-After: 30
Create a Shortcut KQL database to source KQL database example
Esempio di richiesta
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/kqlDatabases
{
"displayName": "KQLDatabase_1",
"description": "A KQL database description.",
"creationPayload": {
"databaseType": "Shortcut",
"parentEventhouseItemId": "5b218778-e7a5-4d73-8187-f10824047836",
"sourceDatabaseName": "ac542109-abd1-4ee3-aec5-86282c01ee24"
}
}
Risposta di esempio
{
"displayName": "KQLDatabase_1",
"description": "A KQL database description.",
"type": "KQLDatabase",
"workspaceId": "cfafbeb1-8037-4d0c-896e-a46fb27ff229",
"id": "5b218778-e7a5-4d73-8187-f10824047652"
}
Location: https://api.fabric.microsoft.com/v1/operations/0acd697c-1550-43cd-b998-91bfbfbd47c6
x-ms-operation-id: 0acd697c-1550-43cd-b998-91bfbfbd47c6
Retry-After: 30
Definizioni
| Nome | Descrizione |
|---|---|
|
Create |
Creare il payload della richiesta di database KQL. |
|
Error |
Oggetto dettagli risorsa correlato all'errore. |
|
Error |
Risposta di errore. |
|
Error |
Dettagli della risposta di errore. |
|
Item |
Rappresenta un tag applicato a un elemento. |
|
Item |
Tipo dell'elemento. È possibile aggiungere altri tipi di elemento nel tempo. |
| KQLDatabase |
Oggetto di database KQL. |
|
KQLDatabase |
Oggetto definizione pubblica del database KQL. |
|
KQLDatabase |
Oggetto parte della definizione del database KQL. |
|
KQLDatabase |
Proprietà del database KQL. |
|
Kql |
Tipo del database. |
|
Payload |
Tipo del payload della parte di definizione. È possibile aggiungere altri tipi di payload nel tempo. |
|
Read |
Payload di creazione dell'elemento di database KQL ReadWrite |
|
Shortcut |
Collegamento KQL database item creation payload (Payload di creazione di elementi di database KQL) |
CreateKQLDatabaseRequest
Creare il payload della richiesta di database KQL.
| Nome | Tipo | Descrizione |
|---|---|---|
| creationPayload | KQLDatabaseCreationPayload: |
Payload di creazione del database KQL. Usare |
| definition |
Definizione pubblica del database KQL. Usare |
|
| description |
string |
Descrizione del database KQL. La lunghezza massima è di 256 caratteri. |
| displayName |
string |
Nome visualizzato del database KQL. Il nome del database può contenere caratteri alfanumerici, caratteri di sottolineatura, punti e trattini. I caratteri speciali non sono supportati. |
| folderId |
string (uuid) |
ID cartella. Se non specificato o null, il database KQL viene creato con l'area di lavoro come cartella. |
ErrorRelatedResource
Oggetto dettagli risorsa correlato all'errore.
| Nome | Tipo | Descrizione |
|---|---|---|
| resourceId |
string |
ID risorsa coinvolto nell'errore. |
| resourceType |
string |
Tipo della risorsa coinvolta nell'errore. |
ErrorResponse
Risposta di errore.
| Nome | Tipo | Descrizione |
|---|---|---|
| errorCode |
string |
Identificatore specifico che fornisce informazioni su una condizione di errore, consentendo la comunicazione standardizzata tra il servizio e i relativi utenti. |
| message |
string |
Rappresentazione leggibile dell'errore. |
| moreDetails |
Elenco di dettagli aggiuntivi sull'errore. |
|
| relatedResource |
Dettagli della risorsa correlati all'errore. |
|
| requestId |
string (uuid) |
ID della richiesta associata all'errore. |
ErrorResponseDetails
Dettagli della risposta di errore.
| Nome | Tipo | Descrizione |
|---|---|---|
| errorCode |
string |
Identificatore specifico che fornisce informazioni su una condizione di errore, consentendo la comunicazione standardizzata tra il servizio e i relativi utenti. |
| message |
string |
Rappresentazione leggibile dell'errore. |
| relatedResource |
Dettagli della risorsa correlati all'errore. |
ItemTag
Rappresenta un tag applicato a un elemento.
| Nome | Tipo | Descrizione |
|---|---|---|
| displayName |
string |
Nome del tag. |
| id |
string (uuid) |
ID tag. |
ItemType
Tipo dell'elemento. È possibile aggiungere altri tipi di elemento nel tempo.
| Valore | Descrizione |
|---|---|
| Dashboard |
Dashboard di Power BI. |
| Report |
Report di Power BI. |
| SemanticModel |
Modello semantico di PowerBI. |
| PaginatedReport |
Report impaginato di Power BI. |
| Datamart |
Datamart di PowerBI. |
| Lakehouse |
Una lakehouse. |
| Eventhouse |
Una casa eventi. |
| Environment |
Un ambiente. |
| KQLDatabase |
Un database KQL. |
| KQLQueryset |
Set di query KQL. |
| KQLDashboard |
Dashboard KQL. |
| DataPipeline |
Una pipeline di dati. |
| Notebook |
Un notebook. |
| SparkJobDefinition |
Definizione di processo Spark. |
| MLExperiment |
Esperimento di Machine Learning. |
| MLModel |
Modello di Machine Learning. |
| Warehouse |
Un magazzino. |
| Eventstream |
Flusso di eventi. |
| SQLEndpoint |
Endpoint SQL. |
| MirroredWarehouse |
Magazzino con mirroring. |
| MirroredDatabase |
Database con mirroring. |
| Reflex |
Un riflesso. |
| GraphQLApi |
API per l'elemento GraphQL. |
| MountedDataFactory |
Oggetto MountedDataFactory. |
| SQLDatabase |
A SQLDatabase. |
| CopyJob |
Processo di copia. |
| VariableLibrary |
VariabileLibrary. |
| Dataflow |
Flusso di dati. |
| ApacheAirflowJob |
An ApacheAirflowJob. |
| WarehouseSnapshot |
Uno snapshot del warehouse. |
| DigitalTwinBuilder |
A DigitalTwinBuilder. |
| DigitalTwinBuilderFlow |
Flusso di Generatore di gemelli digitali. |
| MirroredAzureDatabricksCatalog |
Catalogo di Azure databricks con mirroring. |
| Map |
Una mappa. |
| AnomalyDetector |
Rilevamento anomalie. |
| UserDataFunction |
Funzione dati utente. |
| GraphModel |
A GraphModel. |
| GraphQuerySet |
Oggetto Graph QuerySet. |
| SnowflakeDatabase |
Un database Snowflake per archiviare le tabelle Iceberg create dall'account Snowflake. |
| OperationsAgent |
Oggetto OperationsAgent. |
| CosmosDBDatabase |
Un database Cosmos DB. |
| Ontology |
Ontologia. |
| EventSchemaSet |
An EventSchemaSet. |
| DataAgent |
Oggetto DataAgent. |
KQLDatabase
Oggetto di database KQL.
| Nome | Tipo | Descrizione |
|---|---|---|
| description |
string |
Descrizione dell'elemento. |
| displayName |
string |
Nome visualizzato dell'elemento. |
| folderId |
string (uuid) |
ID cartella. |
| id |
string (uuid) |
ID elemento. |
| properties |
Proprietà del database KQL. |
|
| tags |
Item |
Elenco di tag applicati. |
| type |
Tipo di elemento. |
|
| workspaceId |
string (uuid) |
ID dell'area di lavoro. |
KQLDatabaseDefinition
Oggetto definizione pubblica del database KQL.
| Nome | Tipo | Descrizione |
|---|---|---|
| format |
string |
Formato della definizione dell'elemento. |
| parts |
Elenco di parti di definizione. |
KQLDatabaseDefinitionPart
Oggetto parte della definizione del database KQL.
| Nome | Tipo | Descrizione |
|---|---|---|
| path |
string |
Percorso della parte del database KQL. |
| payload |
string |
Payload della parte del database KQL. |
| payloadType |
Tipo di payload. |
KQLDatabaseProperties
Proprietà del database KQL.
| Nome | Tipo | Descrizione |
|---|---|---|
| databaseType |
Tipo del database. |
|
| ingestionServiceUri |
string |
URI del servizio di inserimento. |
| parentEventhouseItemId |
string |
ID della casa eventi padre. |
| queryServiceUri |
string |
URI del servizio di query. |
KqlDatabaseType
Tipo del database.
| Valore | Descrizione |
|---|---|
| ReadWrite |
Consente operazioni di lettura e scrittura nel database. |
| Shortcut |
Un collegamento è un riferimento incorporato che consente operazioni di sola lettura in un database di origine. L'origine può trovarsi nello stesso tenant o in tenant diversi, in un cluster di Esplora dati di Azure o in un'istanza di Fabric Eventhouse. |
PayloadType
Tipo del payload della parte di definizione. È possibile aggiungere altri tipi di payload nel tempo.
| Valore | Descrizione |
|---|---|
| InlineBase64 |
Inline Base 64. |
ReadWriteDatabaseCreationPayload
Payload di creazione dell'elemento di database KQL ReadWrite
| Nome | Tipo | Descrizione |
|---|---|---|
| databaseType |
string:
Read |
Tipo del database KQL |
| parentEventhouseItemId |
string (uuid) |
ID elemento della casa eventi padre. |
ShortcutDatabaseCreationPayload
Collegamento KQL database item creation payload (Payload di creazione di elementi di database KQL)
| Nome | Tipo | Descrizione |
|---|---|---|
| databaseType |
string:
Shortcut |
Tipo del database KQL |
| invitationToken |
string |
Token di invito per seguire il database di origine |
| parentEventhouseItemId |
string (uuid) |
ID elemento della casa eventi padre. |
| sourceClusterUri |
string |
URI del cluster eventhouse di origine o di Esplora dati di Azure |
| sourceDatabaseName |
string |
Nome del database da seguire nel cluster Eventhouse o Esplora dati di Azure. |